<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

// ver item y sus secciones
if (isset($_GET["ent"]) && $_GET["ent"] > 0 && !isset($_GET["at"]))
{

	$itemID = $_GET["ent"];
	
	// Se ha leido ...
	if (!isset($_GET["at"]))
	{
		if (!isset($_SESSION["lecturas"][ $itemID ]))
		{
			myquery("UPDATE ".ITEMS." SET lecturas=lecturas+1 WHERE itemID='".$itemID."'","[var_ent=1]");
		}
		$_SESSION["lecturas"][ $itemID ] = 1;
	}

	// exite el item?
	$qx = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND itemID='".$itemID."'","[var_ent=23]");
	$existeITEM = mynumrows($qx);
	
	// existe item
	if ($existeITEM > 0)
	{	

		// item
		$salida_item_completo = array();
		$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND itemID='".$itemID."'","[var_ent=2]");
		$rowITEM = myfetch($q);
		
				// contador de relacionados
				// Hay items?
				$q_items = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=1","[var_ent=3]");
				$cnt_items = mynumrows($q_items);

				// Hay comentarios?
				$q_comen = myquery("SELECT * FROM ".COMENTARIOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."'","[var_ent=4]");
				$cnt_comen = mynumrows($q_comen);

				// Hay imagenes?
				$q_img = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=2","[var_ent=5]");
				$cnt_img = mynumrows($q_img);

				// Hay multimedia?
				// videos
				$q_mt1 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=4","[var_ent=6]");
				$cnt_mt1 = mynumrows($q_mt1);
				// sonidos
				$q_mt2 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=5","[var_ent=7]");
				$cnt_mt2 = mynumrows($q_mt2);
				$cnt_mt = $cnt_mt1+$cnt_mt2;
				

				// Hay archivos?
				$q_arc = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=3","[var_ent=8]");
				$cnt_arc = mynumrows($q_arc);

				// Hay productos?
				$q_prd = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' AND tipo=6","[var_ent=21]");
				$cnt_prd = mynumrows($q_prd);

				// Hay traducciones?
				$q_tradu = myquery("SELECT * FROM ".TRADUCCIONES." WHERE enabled=1 AND itemID='".$rowITEM["itemID"]."' ORDER BY orden DESC, tradID DESC","[var_ent=9]");
				$cnt_tradu = mynumrows($q_tradu);
				$rowITEM["idioma_tradu"] = array();
				while ($row_tradu = myfetch($q_tradu))
				{
					$rowITEM["idioma_tradu"][] = $row_tradu["idioma"].', ';
				}
				
				// nombre de categoria
				$q_cat = myquery("SELECT * FROM ".CATEGORIAS." WHERE catID='".$rowITEM["catID"]."' ","[var_ent=10]");
				$row2 = myfetch($q_cat);


					if (IDIOMA_ACTUAL == 0)
					{
						$rowITEM["titulo"] = $rowITEM["titulo"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto"] );
						$rowITEM["nombre_cat"] = $row2["nombre"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto"] );
					}
					else if (IDIOMA_ACTUAL == 1)
					{
						$rowITEM["titulo"] = $rowITEM["titulo_1"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo_1"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo_1"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto_1"] );
						$rowITEM["nombre_cat"] = $row2["nombre_1"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_1"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto_1"] );
					}
					else if (IDIOMA_ACTUAL == 2)
					{
						$rowITEM["titulo"] = $rowITEM["titulo_2"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo_2"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo_2"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto_2"] );
						$rowITEM["nombre_cat"] = $row2["nombre_2"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_2"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto_2"] );
					}
					else if (IDIOMA_ACTUAL == 3)
					{
						$rowITEM["titulo"] = $rowITEM["titulo_3"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo_3"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo_3"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto_3"] );
						$rowITEM["nombre_cat"] = $row2["nombre_3"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_3"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto_3"] );
					}
					else if (IDIOMA_ACTUAL == 4)
					{
						$rowITEM["titulo"] = $rowITEM["titulo_4"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo_4"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo_4"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto_4"] );
						$rowITEM["nombre_cat"] = $row2["nombre_4"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_4"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto_4"] );
					}
					else if (IDIOMA_ACTUAL == 5)
					{
						$rowITEM["titulo"] = $rowITEM["titulo_5"];
						$rowITEM["titulo_sef"] = SEFcompleURL( $rowITEM["titulo_5"] );
						$rowITEM["titulo_popup"] = salida_popups( $rowITEM["titulo_5"] );
						$rowITEM["texto"] = salida_gral( $rowITEM["texto_5"] );
						$rowITEM["nombre_cat"] = $row2["nombre_5"];						
						$rowITEM["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_5"] );						
						$rowITEM["pie_foto"] = salida_gral( $rowITEM["pie_foto_5"] );
					}

					// id categoria
					$rowITEM["nombre_cat_id"] = $row2["catID"];						

					$rowITEM["num_items"] = $cnt_items;
					$rowITEM["num_comen"] = $cnt_comen;
					$rowITEM["num_img"] = $cnt_img;
					$rowITEM["num_arc"] = $cnt_arc;
					$rowITEM["num_tradu"] = $cnt_tradu;
					$rowITEM["num_mt"] = $cnt_mt;
					$rowITEM["num_prd"] = $cnt_prd;
					
					// fecha
					if (CONFIG_10 == 0)
					{
						$rowITEM["fecha"] = salida_fecha_latin ($rowITEM["fecha"]);
		
					} else if (CONFIG_10 == 1) {
			
						$rowITEM["fecha"] = salida_fecha_literal ($rowITEM["fecha"]);
		
					}

					// fechas adicionales
					if (CONFIG_10 == 0)
					{
						if ($rowITEM["n5_fecha_ini"] != "")
						{
							$rowITEM["n5_fecha_ini"] = salida_fecha_latin ($rowITEM["n5_fecha_ini"]);
						} else {
							$rowITEM["n5_fecha_ini"] = "";
						}
						
						if ($rowITEM["n5_fecha_fin"] != "")
						{
							$rowITEM["n5_fecha_fin"] = salida_fecha_latin ($rowITEM["n5_fecha_fin"]);
						} else {
							$rowITEM["n5_fecha_fin"] = "";
						}
		
					} else if (CONFIG_10 == 1) {
			
						if ($rowITEM["n5_fecha_ini"] != "")
						{
							$rowITEM["n5_fecha_ini"] = salida_fecha_literal ($rowITEM["n5_fecha_ini"]);
						} else {
							$rowITEM["n5_fecha_ini"] = "";
						}
						
						if ($rowITEM["n5_fecha_fin"] != "")
						{
							$rowITEM["n5_fecha_fin"] = salida_fecha_literal ($rowITEM["n5_fecha_fin"]);
						} else {
							$rowITEM["n5_fecha_fin"] = "";
						}
		
					}
				
					
					// rutina para separar las tags
					$tag_loc = trim($rowITEM["etiquetas"]);
						if ($tag_loc)
						{
							$tag_locs = explode(",",$rowITEM["etiquetas"]);
							$rowITEM["etiquetas"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["etiquetas"][] = trim($tag_locs[$c]);
									}
								
								}
							$rowITEM["etiquetas_url"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["etiquetas_url"][] = codificar_buscador(trim($tag_locs[$c])).TPL_SUFIJO_URL;
									}

								}
						} else {
					
							$rowITEM["etiquetas"] = "";
						}

					// rutina para separar las tags nivel 2
					$tag_loc = trim($rowITEM["n5_ciudad"]);
						if ($tag_loc)
						{
							$tag_locs = explode(",",$rowITEM["n5_ciudad"]);
							$rowITEM["n5_ciudad"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["n5_ciudad"][] = trim($tag_locs[$c]);
									}
								
								}
							$rowITEM["n5_ciudad_url"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["n5_ciudad_url"][] = codificar_buscador(trim($tag_locs[$c])).TPL_SUFIJO_URL;
									}

								}
						} else {
					
							$rowITEM["n5_ciudad"] = "";
						}

					// rutina para separar las tags nivel 3
					$tag_loc = trim($rowITEM["n5_pais"]);
						if ($tag_loc)
						{
							$tag_locs = explode(",",$rowITEM["n5_pais"]);
							$rowITEM["n5_pais"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["n5_pais"][] = trim($tag_locs[$c]);
									}
								
								}
							$rowITEM["n5_pais_url"] = array();
								for ($c=0; $c<count($tag_locs); $c++)
								{
									if ($tag_locs[$c] != "")
									{
										$rowITEM["n5_pais_url"][] = codificar_buscador(trim($tag_locs[$c])).TPL_SUFIJO_URL;
									}

								}
						} else {
					
							$rowITEM["n5_pais"] = "";
						}
		

		$rowITEM["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?itemID='.$rowITEM["itemID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a> | #'.$rowITEM["itemID"].' | '.$rowITEM["lecturas"].'</div>';

		// url para compartir
		$rowITEM["url_compartir"] = NOMBRE_DOMINIO.$_SERVER["REQUEST_URI"];

		// cadena del redactor
		$rowITEM["cadena_redactor"] = codificar_buscador($rowITEM["redactor"]).TPL_SUFIJO_URL;
		
		// liksta de webs para compartir
		$tpl_webs_rss_share = explode("\r\n",LEN_145);
		$rowITEM["webs_compartir"] = "";
		for ($w=0; $w<count($tpl_webs_rss_share); $w++)
		{
			if ($tpl_webs_rss_share[$w] != "")
			{
		 
		 		$rowITEM["webs_compartir"] .= '<a href="'.str_antes_resto ($tpl_webs_rss_share[$w],"+",2).$rowITEM["url_compartir"].'" target="_blank" class="">'.str_antes_resto ($tpl_webs_rss_share[$w],"+",1).'</a>, ';
		
			}
		
		}

		// bandera admin de relacionados
		$rowITEM["son_relacionados"] = 1;

		// orden de bloques de relacionados
		$ids_bloques_item = explode(",",$rowITEM["orden_bloques"]);
		$rowITEM["salida_ids_bloques_item"] = $ids_bloques_item;
		

		// Hay items relacionados?
		$rowITEM["salida_item_completo_items_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=1 ORDER BY orden ASC, refID DESC","[var_ent=11]");

		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["refID"]."' ","[var_ent=12]");
			$row1 = myfetch($qrel);

			if ($row1["item_tipo"] == 1 && $row1["enabled"] == 1)
			{
				include ("./ints/inc/inc_rela_items_canales.php");

				$rowITEM["salida_item_completo_items_rela"][] = $row1;
			}
				
		} // del while
				

		// Hay imagenes relacionados?
		$rowITEM["salida_item_completo_imagenes_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=2 ORDER BY orden ASC, refID DESC","[var_ent=13]");	

		// columnas
		$vercolumnas = CONFIG_62;

		$i=0;
		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".IMAGENES." WHERE imgID='".$rowrels["refID"]."' ","[var_ent=14]");
			$rowIMG = myfetch($qrel);
					
			if ($rowIMG["enabled"] == 1)
			{
				include ("./ints/inc/inc_list_imagenes.php");
				
				// no aparecen los items relacionados
				$rowIMG["salida_canal_imagenes_items_rela"] = "";

				$rowITEM["salida_item_completo_imagenes_rela"][] = $rowIMG;
			}
					
		$i++;							
		} // del while

	
		// Hay videos relacionados?
		$rowITEM["salida_item_completo_videos_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=4 ORDER BY orden ASC, refID DESC","[var_ent=15]");

		// columnas
		$vercolumnas = CONFIG_63;

		// videos
		$i=0;
		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$rowrels["refID"]."' ","[var_ent=16]");
			$rowMT = myfetch($qrel);

			if (($rowMT["tipo"] == 1 || $rowMT["tipo"] == 3) && $rowMT["enabled"] == 1)
			{
				include ("./ints/inc/inc_list_multimedia.php");

				// no aparecen los items relacionados
				$rowMT["salida_canal_multimedia_items_rela"] = "";
				
				$rowITEM["salida_item_completo_videos_rela"][] = $rowMT;
			}
						
		$i++;
		} // del while

	
		// Hay sonidos relacionados?
		$rowITEM["salida_item_completo_sonidos_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=5 ORDER BY orden ASC, refID DESC","[var_ent=17]");

		// columnas
		$vercolumnas = CONFIG_64;
		
		// sonidos
		$i=0;
		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$rowrels["refID"]."' ","[var_ent=18]");
			$rowMT = myfetch($qrel);

			if (($rowMT["tipo"] == 2 || $rowMT["tipo"] == 4) && $rowMT["enabled"] == 1)
			{
				include ("./ints/inc/inc_list_multimedia.php");

				// no aparecen los items relacionados
				$rowMT["salida_canal_multimedia_items_rela"] = "";
				
				$rowITEM["salida_item_completo_sonidos_rela"][] = $rowMT;
			}

		$i++;
		} // del while


		// Hay archivos relacionados?
		$rowITEM["salida_item_completo_archivos_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=3 ORDER BY orden ASC, refID DESC","[var_ent=19]");

		// columnas
		$vercolumnas = CONFIG_65;

		$i=0;
		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".ARCHIVOS." WHERE fileID='".$rowrels["refID"]."' ","[var_ent=20]");
			$rowARC = myfetch($qrel);


			if ($rowARC["enabled"] == 1)
			{
				include ("./ints/inc/inc_list_archivos.php");

				// no aparecen los items relacionados
				$rowARC["salida_canal_archivos_items_rela"] = "";
				
				$rowITEM["salida_item_completo_archivos_rela"][] = $rowARC;
			}

		$i++;
		} // del while

		// Hay productos relacionados?
		$rowITEM["salida_item_completo_productos_rela"] = array();
		$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE itemID='".$rowITEM["itemID"]."' AND enabled=1 AND tipo=6 ORDER BY orden ASC, refID DESC","[var_ent=21]");

		// columnas
		$vercolumnas = CONFIG_71;

		$i=0;
		while ($rowrels = myfetch($qrelt))
		{
			$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["refID"]."' ","[var_ent=22]");
			$rowPRD = myfetch($qrel);


			if ($rowPRD["enabled"] == 1)
			{
				include ("./ints/inc/inc_item_list_prd.php");

				// no aparecen los items relacionados
				$rowPRD["salida_canal_productos_rela"] = "";
				
				$rowITEM["salida_item_completo_productos_rela"][] = $rowPRD;
			}

		$i++;
		} // del while

		// COMENTARIOS //
		if (CONFIG_38 == 1)
		{			
			include ("./ints/inc/inc_item_comentarios.php");
		}

		// gestion de mensajes
		if (isset($_GET["cmsj"]))
		{
			$tpl_com_msj = $_GET["cmsj"];
			// Smarty
			$smarty->assign("form_comen_msj", $tpl_com_msj);	
		}

		// securimage
		$form_comentarios_securimage = '<img src="'.RUTA_INICIO_IMG.'paqs/scimg/securimage_show.php?sid='.md5(uniqid(time())).'" id="image" />';
		// Smarty
		$smarty->assign("form_comentarios_securimage", $form_comentarios_securimage);
		// FIN COMENTARIOS //
	
	
		$salida_item_completo[] = $rowITEM;
	
		// Smarty
		$smarty->assign("salida_item_completo", $salida_item_completo);
		
	// no existe item
	} else {
	
		// Smarty
		$smarty->assign("salida_item_completo", "");
	
	} // del if ($existeITEM > 0)

}

?>